#include<fstream>
#include<algorithm>
using namespace std;
int main()
{
	ifstream f1("TANSUAT.INP");
	ofstream f2("TANSUAT.OUT");
	long long n;
	f1>>n;
	long long f[n];
	long long i;
	for(i=0;i<n;i++)
	{
		f1>>f[i];
	}
	f1.close();
	long long max=0;
	for(i=0;i<n;i++)
	{
		if(f[i]>max) max=f[i];
	}
	long long d[max+1];
	for(i=0;i<max+1;i++)
	{
		d[i]=0;
	}
	long long ok=0;
	for(i=0;i<n;i++)
	{
		d[f[i]]++;
	}
	sort(f,f+n);
	for(i=0;i<n-1;i++)
	{
		if((d[f[i]]>1)&&(f[i+1]!=f[i]))
		{
			f2<<f[i]<<' '<<d[f[i]]<<endl;
			ok++;
		}
	}
	if(d[f[n-1]]>1) 
	{
		ok++;
		f2<<f[i]<<' '<<d[f[i]];
	}
	if(ok==0) f2<<0;
	f2.close();
	return 0;
}
